Page MenuHomePhabricator

Create a nonprocedural markup for OOJS-UI
Closed, ResolvedPublic

Event Timeline

werdna claimed this task.
werdna raised the priority of this task from to High.
werdna updated the task description. (Show Details)
Jdforrester-WMF moved this task from Backlog to Next-up on the OOUI board.Jan 30 2015, 1:20 AM
Ricordisamoa added a subscriber: Ricordisamoa.
matmarex set Security to None.

Change 190466 had a related patch set uploaded (by Werdna):
WIP: "Smoke test" at Special:OOUIDemo

https://gerrit.wikimedia.org/r/190466

Patch-For-Review

Change 192783 had a related patch set uploaded (by Werdna):
Add template syntax for OOUI in wikitext.

https://gerrit.wikimedia.org/r/192783

Jdforrester-WMF moved this task from Next-up to Doing on the OOUI board.Mar 28 2015, 1:19 AM
Spage closed this task as Resolved.May 19 2015, 10:37 PM
Spage added a subscriber: Spage.

It sure looks like @werdna and @Prtksxna nailed this. E.g. View source of "Checks, radios and toggles", or click "Show code; Template, in LSG:

|demo=<ooui-demo format="template">
	{{#ooui "radiooption"}}
		Option one
	{{/ooui}}
	{{#ooui "radiooption"}}
		Option two
	{{/ooui}}
{{/ooui}}
</ooui-demo>

That looks nonprocedural to me!

Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.May 31 2015, 11:00 PM
Jdforrester-WMF removed a project: Patch-For-Review.

Change 192783 abandoned by VolkerE:
Add template syntax for OOUI in wikitext.

Reason:
Other direction taken with https://doc.wikimedia.org/oojs-ui/master/demos/

https://gerrit.wikimedia.org/r/192783